Subject: Re: [CCAMP] Comments to draft-tsaad-ccamp-rsvpte-bidir-lsp-fastreroute

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Fri, 31 Jan 2014 13:34:58 +0000

Hi Greg,

<Changing title and WG to reflect new name/WG for the draft>.

Thank you Greg for the review comments. Can't remember if we replied earlier. Please find the comments below.

From: Gregory Mirsky [mailto:[email-masked]]
Sent: Wednesday, February 27, 2013 6:41 PM
To: Mike Taillon (mtaillon); Tarek Saad (tsaad); Rakesh Gandhi (rgandhi); Zafar Ali (zali)
Cc: [email-masked]<mailto:[email-masked]>
Subject: Comments to draft-tsaad-mpls-rsvpte-bidir-lsp-fastreroute

Dear Authors, et al.,
Please find my comments to this document below:
·         As noted in the Introduction, bi-directional co-routed LSP can be signaled in context of GMPLS model. I recall that it was agreed that all work on GMPLS constructs will be conducted within CCAMP WG.

<RG> Agree, The draft has been moved to CCAMP WG.

·         I think that scenario described in the second paragraph of the Introduction section is not correct. I believe that protection path(s) for bi-directional co-routed LSP must be bi-directional and co-routed as well.

<RG> Agree, we are updating the draft to focus on co-routed bidirectional primary and co-routed bidirectional bypass LSPs. Will be posting a revised version soon.

Thus I don't see it possible that there will be "asymmetry of paths" after protection switchover. IMO, protection path must have the same properties as working path, i.e. be bi-directional co-routed LSP.

<RG> Yes, in case of path protection where both primary and standby LSPs are co-routed bidirectional LSPs, this problem can not happen.
However, for fast reroute for packet LSPs using RFC 4090, this issue can happen even when using co-routed bypass LSPs.

·         Asymmetry of paths may exist if working path is bi-directional associated LSP but such construct is not in scope of this document and I believe that this case fully covered by RFC 4090.

<RG> RFC 4090 does not cover the fast reroute for packet co-routed bidirectional LSPs using GMPLS signalling.

·         Problem that you alledge in the third paragraph should not exist in GMPLS with use of ASSOCIATION object (RFC 6780)
·         I'd point that local protection with node protection for bi-directional co-routed LSP turns into a case of segment protection with OAM being ran between PLRs and PSC (RFC 6378) coordinating switchover by exchanging messages over protection segment.

<RG> Right, solutions have been defined for GMPLS path protection and segment protection as you mentioned above.
The proposed draft is for extending the fast reroute procedures for packet LSPs defined in RFC 4090 for co-routed bidirectional packet LSPs. As mentioned earlier, we cover the case where both primary and FRR bypass LSPs are co-routed bidirectional LSPs and uses GMPLS signalling.

Thanks,
Rakesh

        Regards,
                Greg